aboutsummaryrefslogtreecommitdiffstats
path: root/main/libxrender/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/libxrender/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/libxrender/APKBUILD')
-rw-r--r--main/libxrender/APKBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/main/libxrender/APKBUILD b/main/libxrender/APKBUILD
new file mode 100644
index 0000000000..dc11755330
--- /dev/null
+++ b/main/libxrender/APKBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxrender
+pkgver=0.9.5
+pkgrel=1
+pkgdesc="X Rendering Extension client library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev"
+depends=
+makedepends="pkgconfig libx11-dev renderproto"
+source="http://xorg.freedesktop.org/releases/individual/lib/libXrender-$pkgver.tar.bz2"
+
+depends_dev="xproto renderproto libx11-dev"
+build() {
+ cd "$srcdir"/libXrender-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/libXrender-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="276dd9e85daf0680616cd9f132b354c9 libXrender-0.9.5.tar.bz2"